> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1configuration



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Configuration//swagger/v1/swagger.json post /api/v1/Configuration
openapi: 3.0.0
info:
  title: NDS.Services.Configuration
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Configuration/
security: []
paths:
  /api/v1/Configuration:
    post:
      tags:
        - Configuration
      operationId: Configuration_SetConfigNodes
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetConfigNodesRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SetConfigNodesResult'
components:
  schemas:
    SetConfigNodesRequest:
      type: object
      additionalProperties: false
      properties:
        Nodes:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/ConfigNode'
    SetConfigNodesResult:
      allOf:
        - $ref: '#/components/schemas/MultiValueResultOfSetConfigItemResult'
        - type: object
          additionalProperties: false
    ConfigNode:
      type: object
      additionalProperties: false
      properties:
        Name:
          type: string
          nullable: true
        Value:
          nullable: true
    MultiValueResultOfSetConfigItemResult:
      allOf:
        - $ref: '#/components/schemas/MultiValueResult'
        - type: object
          additionalProperties: false
          properties:
            Results:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/SetConfigItemResult'
    MultiValueResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          x-abstract: true
          additionalProperties: false
          properties:
            Results:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/ResultItem'
    SetConfigItemResult:
      allOf:
        - $ref: '#/components/schemas/ResultItem'
        - type: object
          additionalProperties: false
          properties:
            Name:
              type: string
              nullable: true
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    ResultItem:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: integer
              format: int32
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````